var fileTypes = [
];
var injectionSelector = "L:source.cpp";
var patterns = [
	{
		include: "#block"
	}
];
var repository = {
	block: {
		patterns: [
			{
				include: "#rcpp"
			}
		],
		repository: {
			rcpp: {
				begin: "(^|\\G)(/[\\*]{3}\\sR\\s*)$",
				captures: {
					"2": {
						name: "comment.block.cpp"
					}
				},
				end: "(^|\\G)(\\*/\\s*)($|\\z)",
				contentName: "meta.embedded.block.r",
				patterns: [
					{
						include: "source.r"
					}
				]
			}
		}
	}
};
var scopeName = "comment.block.r";
var information_for_contributors = [
	"This file has been converted from https://github.com/REditorSupport/vscode-R/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var Rcpp = {
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { Rcpp as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
