var comments = {
	blockComment: [
		"@*",
		"*@"
	]
};
var brackets = [
	[
		"<!--",
		"-->"
	],
	[
		"<",
		">"
	],
	[
		"{",
		"}"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "@*",
		close: "*@"
	}
];
var surroundingPairs = [
	{
		open: "'",
		close: "'"
	},
	{
		open: "\"",
		close: "\""
	},
	{
		open: "<",
		close: ">"
	}
];
var aspnetcorerazor = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, aspnetcorerazor as default, surroundingPairs };
