var fileTypes = [
];
var injectionSelector = "L:text.html.markdown";
var patterns = [
	{
		include: "#d-code-block"
	}
];
var repository = {
	"d-code-block": {
		begin: "(^|\\G)(\\s*)(\\`{3,}|~{3,})\\s*(?i:(d)(\\s+[^`~]*)?$)",
		name: "markup.fenced_code.block.markdown",
		end: "(^|\\G)(\\2|\\s{0,3})(\\3)\\s*$",
		beginCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			},
			"4": {
				name: "fenced_code.block.language.markdown"
			},
			"5": {
				name: "fenced_code.block.language.attributes.markdown"
			}
		},
		endCaptures: {
			"3": {
				name: "punctuation.definition.markdown"
			}
		},
		patterns: [
			{
				begin: "(^|\\G)(\\s*)(.*)",
				"while": "(^|\\G)(?!\\s*([`~]{3,})\\s*$)",
				contentName: "meta.embedded.block.d",
				patterns: [
					{
						include: "source.d"
					}
				]
			}
		]
	}
};
var scopeName = "markdown.d.codeblock";
var information_for_contributors = [
	"This file has been converted from https://github.com/Pure-D/code-d/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var codeblock = {
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { codeblock as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
