var fileTypes = [
];
var injectionSelector = "L:markup.fenced_code.block.markdown";
var patterns = [
	{
		include: "#kotlin-code-block"
	}
];
var repository = {
	"kotlin-code-block": {
		begin: "kotlin",
		end: "(^|\\G)(?=\\s*[`~]{3,}\\s*$)",
		contentName: "meta.embedded.block.kotlin",
		patterns: [
			{
				include: "source.kotlin"
			}
		]
	}
};
var scopeName = "markdown.kotlin.codeblock";
var information_for_contributors = [
	"This file has been converted from https://github.com/mathiasfrohlich/vscode-kotlin/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var codeblock = {
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { codeblock as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
