var comments = {
	lineComment: "%"
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"<",
		">"
	]
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "[",
		close: "]",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "(",
		close: ")",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "<",
		close: ">",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string",
			"comment"
		]
	},
	{
		open: "\"",
		close: "\""
	}
];
var folding = {
	markers: {
		start: "^\\s*\\%\\%region\\b",
		end: "^\\s*\\%\\%endregion\\b"
	}
};
var erlang = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	folding: folding
};

export { autoClosingPairs, brackets, comments, erlang as default, folding };
