var comments = {
	lineComment: "//",
	blockComment: [
		"/*",
		"*/"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	]
];
var objectiveCpp = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, objectiveCpp as default, surroundingPairs };
