var env = {
	prefix: "env",
	body: [
		"(env\n ($1 $2))"
	]
};
var executable = {
	prefix: "executable",
	body: [
		"(executable\n (name $1)\n (public_name $2)\n (libraries $3))"
	]
};
var executables = {
	prefix: "executables",
	body: [
		"(executables\n (names $1)\n (public_names $2)\n (libraries $3))"
	]
};
var install = {
	prefix: "install",
	body: [
		"(install\n (section $1)\n (files ($2.exe as $3)))"
	]
};
var library = {
	prefix: "library",
	body: [
		"(library\n (name $1)\n (public_name $2)\n (libraries $3))"
	]
};
var rule = {
	prefix: "rule",
	body: [
		"(rule\n (alias $1)\n (deps $2)\n (targets $3)\n (action $4))"
	]
};
var test = {
	prefix: "test",
	body: [
		"(test\n (name $1)\n (libraries $2))"
	]
};
var ocamlDune = {
	env: env,
	executable: executable,
	executables: executables,
	install: install,
	library: library,
	rule: rule,
	test: test
};

export { ocamlDune as default, env, executable, executables, install, library, rule, test };
