var comments = {
	lineComment: "//",
	blockComment: [
		"/*",
		"*/"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"<",
		">"
	],
	[
		"%{",
		"%}"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"<",
		">"
	],
	[
		"\"",
		"\""
	],
	[
		"'",
		"'"
	],
	[
		"%{",
		"%}"
	]
];
var surroundingPairs = [
	[
		"(",
		")"
	],
	[
		"<",
		">"
	],
	[
		"\"",
		"\""
	]
];
var ocaml_menhir = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, ocaml_menhir as default, surroundingPairs };
