var comments = {
	lineComment: "//",
	blockComment: [
		"{",
		"}"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"<",
		">"
	],
	[
		"'",
		"'"
	]
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"<",
		">"
	],
	[
		"'",
		"'"
	]
];
var folding = {
	markers: {
		start: "^\\s*\\{\\$REGION(\\s\\'.*\\')?\\}",
		end: "^\\s*\\{\\$ENDREGION\\}"
	}
};
var pascal = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding
};

export { autoClosingPairs, brackets, comments, pascal as default, folding, surroundingPairs };
