var scopeName = "buildignore.r";
var fileTypes = [
	".Rbuildignore"
];
var patterns = [
	{
		include: "#ignore-line"
	}
];
var repository = {
	"ignore-line": {
		patterns: [
			{
				comment: "source.regexp.python and source.js.regexp both work",
				begin: "^",
				end: "$",
				patterns: [
					{
						include: "source.js.regexp"
					}
				]
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/REditorSupport/vscode-R/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var rbuildignore = {
	scopeName: scopeName,
	fileTypes: fileTypes,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { rbuildignore as default, fileTypes, information_for_contributors, patterns, repository, scopeName };
