var svelte_svelteVscodeJavascript = {
	"SvelteKit Endpoint": {
	prefix: "kitEndpoint",
	description: "SvelteKit Endpoint",
	body: [
		"/** @type {import('./\\$types').RequestHandler} */",
		"export async function ${1|GET,POST,PUT,PATCH,DELETE|}($2) {",
		"\t$3",
		"\treturn new Response();",
		"}"
	]
},
	"SvelteKit Actions": {
	prefix: "kitActions",
	description: "SvelteKit Actions",
	body: [
		"/** @type {import('./\\$types').Actions} */",
		"export const actions = {",
		"\t$1",
		"};"
	]
},
	"SvelteKit Load": {
	prefix: "kitLoad",
	description: "SvelteKit Load",
	body: [
		"/** @type {import('./\\$types').${1|PageLoad,PageServerLoad,LayoutLoad,LayoutServerLoad|}} */",
		"export async function load($2) {",
		"\t$3",
		"}"
	]
},
	"SvelteKit Param Matcher": {
	prefix: "kitParamMatcher",
	description: "SvelteKit Param Matcher",
	body: [
		"/** @type {import('./\\$types').ParamMatcher */",
		"export function match(param) {",
		"\treturn $1;",
		"}"
	]
}
};

export { svelte_svelteVscodeJavascript as default };
