var $schema = "vscode://schemas/color-theme";
var name = "Dark+ (Experimental)";
var include = "./dark_plus.json";
var colors = {
	"activityBar.activeBorder": "#0078d4",
	"activityBar.background": "#181818",
	"activityBar.border": "#ffffff15",
	"activityBar.foreground": "#ffffffc5",
	"activityBar.inactiveForeground": "#ffffff80",
	"activityBarBadge.background": "#0078d4",
	"activityBarBadge.foreground": "#ffffff",
	"badge.background": "#0078d4",
	"badge.foreground": "#ffffff",
	"button.background": "#0078d4",
	"button.border": "#ffffff12",
	"button.foreground": "#ffffff",
	"button.hoverBackground": "#0078d4e6",
	"button.secondaryBackground": "#FFFFFF0F",
	"button.secondaryForeground": "#ffffffc5",
	"button.secondaryHoverBackground": "#ffffff15",
	"checkbox.background": "#313131",
	"checkbox.border": "#ffffff15",
	"debugToolBar.background": "#181818",
	descriptionForeground: "#8b949e",
	"diffEditor.insertedLineBackground": "#23863633",
	"diffEditor.insertedTextBackground": "#2386364d",
	"diffEditor.removedLineBackground": "#da363333",
	"diffEditor.removedTextBackground": "#da36334d",
	"dropdown.background": "#313131",
	"dropdown.border": "#ffffff17",
	"dropdown.foreground": "#ffffffc5",
	"dropdown.listBackground": "#313131",
	"editor.background": "#1f1f1f",
	"editor.findMatchBackground": "#9e6a03",
	"editor.foreground": "#ffffffd3",
	"editorGroup.border": "#ffffff17",
	"editorGroupHeader.tabsBackground": "#181818",
	"editorGroupHeader.tabsBorder": "#ffffff15",
	"editorGutter.addedBackground": "#2ea043",
	"editorGutter.deletedBackground": "#f85149",
	"editorGutter.modifiedBackground": "#0078d4",
	"editorInlayHint.background": "#8b949e33",
	"editorInlayHint.foreground": "#8b949e",
	"editorInlayHint.typeBackground": "#8b949e33",
	"editorInlayHint.typeForeground": "#8b949e",
	"editorLineNumber.activeForeground": "#ffffffc5",
	"editorLineNumber.foreground": "#6e7681",
	"editorOverviewRuler.border": "#010409",
	"editorWidget.background": "#1f1f1f",
	errorForeground: "#f85149",
	focusBorder: "#0078d4",
	foreground: "#ffffffc5",
	"icon.foreground": "#ffffffc5",
	"input.background": "#ffffff0f",
	"input.border": "#ffffff17",
	"input.foreground": "#ffffffc5",
	"input.placeholderForeground": "#ffffff79",
	"inputOption.activeBackground": "#2489db82",
	"inputOption.activeBorder": "#2488db",
	"keybindingLabel.foreground": "#ffffffc5",
	"list.activeSelectionBackground": "#ffffff0f",
	"list.activeSelectionIconForeground": "#ffffff",
	"list.activeSelectionForeground": "#ffffff",
	"menu.background": "#1f1f1f",
	"notificationCenterHeader.background": "#1f1f1f",
	"notificationCenterHeader.foreground": "#ffffffc5",
	"notifications.background": "#1f1f1f",
	"notifications.border": "#ffffff15",
	"notifications.foreground": "#ffffffc5",
	"panel.background": "#181818",
	"panel.border": "#ffffff15",
	"panelInput.border": "#ffffff15",
	"panelTitle.activeBorder": "#0078d4",
	"panelTitle.activeForeground": "#ffffffc5",
	"panelTitle.inactiveForeground": "#8b949e",
	"peekViewEditor.background": "#1f1f1f",
	"peekViewEditor.matchHighlightBackground": "#bb800966",
	"peekViewResult.background": "#1f1f1f",
	"peekViewResult.matchHighlightBackground": "#bb800966",
	"pickerGroup.border": "#ffffff15",
	"pickerGroup.foreground": "#8b949e",
	"progressBar.background": "#0078d4",
	"quickInput.background": "#1f1f1f",
	"quickInput.foreground": "#ffffffc5",
	"scrollbar.shadow": "#484f5833",
	"scrollbarSlider.activeBackground": "#6e768187",
	"scrollbarSlider.background": "#6e768133",
	"scrollbarSlider.hoverBackground": "#6e768145",
	"settings.dropdownBackground": "#313131",
	"settings.dropdownBorder": "#ffffff17",
	"settings.headerForeground": "#ffffff",
	"settings.modifiedItemIndicator": "#bb800966",
	"sideBar.background": "#181818",
	"sideBar.border": "#ffffff15",
	"sideBar.foreground": "#ffffffc5",
	"sideBarSectionHeader.background": "#181818",
	"sideBarSectionHeader.border": "#ffffff15",
	"sideBarSectionHeader.foreground": "#ffffffc5",
	"sideBarTitle.foreground": "#ffffffc5",
	"statusBar.background": "#181818",
	"statusBar.border": "#ffffff15",
	"statusBar.debuggingBackground": "#0078d4",
	"statusBar.debuggingForeground": "#ffffff",
	"statusBar.foreground": "#ffffffc5",
	"statusBar.noFolderBackground": "#1f1f1f",
	"statusBarItem.focusBorder": "#0078d4",
	"statusBarItem.prominentBackground": "#6e768166",
	"statusBarItem.remoteBackground": "#0078d4",
	"statusBarItem.remoteForeground": "#ffffff",
	"tab.activeBackground": "#1f1f1f",
	"tab.activeBorder": "#1f1f1f",
	"tab.activeBorderTop": "#0078d4",
	"tab.activeForeground": "#ffffffc5",
	"tab.border": "#ffffff15",
	"tab.hoverBackground": "#1f1f1f",
	"tab.inactiveBackground": "#181818",
	"tab.inactiveForeground": "#ffffff80",
	"tab.unfocusedActiveBorder": "#1f1f1f",
	"tab.unfocusedActiveBorderTop": "#ffffff15",
	"tab.unfocusedHoverBackground": "#6e76811a",
	"terminal.foreground": "#ffffffc5",
	"terminal.tab.activeBorder": "#0078d4",
	"textBlockQuote.background": "#010409",
	"textBlockQuote.border": "#ffffff14",
	"textCodeBlock.background": "#6e768166",
	"textLink.activeForeground": "#40A6FF",
	"textLink.foreground": "#40A6FF",
	"textPreformat.foreground": "#8b949e",
	"textSeparator.foreground": "#21262d",
	"titleBar.activeBackground": "#181818",
	"titleBar.activeForeground": "#ffffffc5",
	"titleBar.border": "#ffffff15",
	"titleBar.inactiveBackground": "#1f1f1f",
	"titleBar.inactiveForeground": "#8b949e",
	"welcomePage.tileBackground": "#ffffff0f",
	"welcomePage.progress.foreground": "#0078d4",
	widgetBorder: "#ffffff15"
};
var themeDefaults_dark_plus_experimental = {
	$schema: $schema,
	name: name,
	include: include,
	colors: colors
};

export { $schema, colors, themeDefaults_dark_plus_experimental as default, include, name };
