import * as monaco from 'monaco-editor';
import { OpenEditor, IEditorOptions } from 'vscode/service-override/modelEditor';
export type EditorOpenHandler = (model: monaco.editor.ITextModel, input: IEditorOptions | undefined, editor: monaco.editor.ICodeEditor | null, sideBySide?: boolean) => Promise<monaco.editor.ICodeEditor | null>;
export default class EditorOpenHandlerRegistry {
    private handlers;
    registerEditorOpenHandler(handler: EditorOpenHandler): monaco.IDisposable;
    openCodeEditor: OpenEditor;
}
