var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var fileTypes = [
];
var injectionSelector = "L:meta.tag -meta.attribute -entity.name.tag.pug -attribute_value -source.tsx -source.js.jsx, L:meta.element -meta.attribute";
var patterns = [
	{
		include: "source.vue#vue-directives"
	}
];
var scopeName = "vue.directives";
var information_for_contributors = [
	"This file has been converted from https://github.com/johnsoncodehk/volar/blob/master/vue-language-tools/vscode-vue/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var vueDirectives = {
	$schema: $schema,
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { $schema, vueDirectives as default, fileTypes, information_for_contributors, injectionSelector, patterns, scopeName };
