import * as monaco from 'monaco-editor';
interface WrappedWorker {
    new (): Worker;
}
export type WorkerLoader = () => WrappedWorker | Promise<WrappedWorker>;
export declare function registerWorkerLoader(label: string, workerLoader: WorkerLoader): void;
declare global {
    interface Window extends monaco.Window {
    }
}
export {};
