var comments = {
	lineComment: "",
	blockComment: [
		"<!--",
		"-->"
	]
};
var brackets = [
	[
		"<!--",
		"-->"
	],
	[
		"<",
		">"
	],
	[
		"{",
		"}"
	],
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	]
];
var wordPattern = {
	pattern: "(-?\\d*\\.\\d\\w*)|([^\\`\\~\\!\\@\\#\\$\\%\\^\\&\\*\\(\\)\\=\\+\\[\\{\\]\\}\\\\\\|\\;\\:\\'\\\"\\,\\.\\<\\>\\/\\?\\s]+)"
};
var xsl = {
	comments: comments,
	brackets: brackets,
	wordPattern: wordPattern
};

export { brackets, comments, xsl as default, wordPattern };
