var name = "R Markdown";
var scopeName = "text.html.rmarkdown";
var fileTypes = [
	"Rmd",
	"rmd"
];
var patterns = [
	{
		include: "text.html.markdown"
	}
];
var information_for_contributors = [
	"This file has been converted from https://github.com/REditorSupport/vscode-R/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var RMarkdown = {
	name: name,
	scopeName: scopeName,
	fileTypes: fileTypes,
	patterns: patterns,
	information_for_contributors: information_for_contributors
};

export { RMarkdown as default, fileTypes, information_for_contributors, name, patterns, scopeName };
