var $schema = "https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json";
var name = "build-target";
var scopeName = "source.buildtarget";
var extensions = [
	".metals-buildtarget"
];
var patterns = [
	{
		include: "#general"
	}
];
var repository = {
	general: {
		patterns: [
			{
				name: "strong",
				match: "^\\S.*$"
			},
			{
				name: "invalid.illegal",
				match: "  .*NO SOURCE.*"
			},
			{
				name: "invalid.illegal",
				match: "  .*MISSING.*"
			},
			{
				name: "invalid.illegal",
				match: "  .* NOT SUPPORTED"
			},
			{
				name: "entity.other",
				match: "  .*"
			}
		]
	}
};
var information_for_contributors = [
	"This file has been converted from https://github.com/scalameta/metals-vscode/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var buildtarget = {
	$schema: $schema,
	name: name,
	scopeName: scopeName,
	extensions: extensions,
	patterns: patterns,
	repository: repository,
	information_for_contributors: information_for_contributors
};

export { $schema, buildtarget as default, extensions, information_for_contributors, name, patterns, repository, scopeName };
