var fileTypes = [
];
var injectionSelector = "L:markup.fenced_code.block.markdown";
var patterns = [
	{
		include: "#cabal-code-block"
	}
];
var repository = {
	"cabal-code-block": {
		begin: "\\b(cabal)\\b(\\s+[^`~]*)?$",
		end: "(^|\\G)(?=\\s*[`~]{3,}\\s*$)",
		patterns: [
			{
				begin: "(^|\\G)(\\s*)(.*)",
				"while": "(^|\\G)(?!\\s*([`~]{3,})\\s*$)",
				contentName: "meta.embedded.block.cabal",
				patterns: [
					{
						include: "source.cabal"
					}
				]
			}
		]
	}
};
var scopeName = "markdown.cabal.codeblock";
var information_for_contributors = [
	"This file has been converted from https://github.com/JustusAdam/language-haskell/blob/df29e5733bd5b31c59af7404306e0759431c33ea/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var codeblockCabal = {
	fileTypes: fileTypes,
	injectionSelector: injectionSelector,
	patterns: patterns,
	repository: repository,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { codeblockCabal as default, fileTypes, information_for_contributors, injectionSelector, patterns, repository, scopeName };
