var comments = {
	blockComment: [
		"/*",
		"*/"
	],
	lineComment: "//"
};
var brackets = [
	[
		"(",
		")"
	],
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	{
		open: "`",
		close: "`",
		notIn: [
			"string"
		]
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "'",
		close: "'",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	],
	[
		"`",
		"`"
	]
];
var folding = {
	markers: {
		start: "^\\s*//\\s*dfmt\\s*off",
		end: "^\\s*//\\s*dfmt\\s*on"
	}
};
var dpp = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding
};

export { autoClosingPairs, brackets, comments, dpp as default, folding, surroundingPairs };
