var fileTypes = [
	"eex"
];
var name = "EEx";
var patterns = [
	{
		begin: "<%+#",
		captures: {
			"0": {
				name: "punctuation.definition.comment.eex"
			}
		},
		end: "%>",
		name: "comment.block.eex"
	},
	{
		begin: "<%+(?!>)[-=]*",
		captures: {
			"0": {
				name: "punctuation.section.embedded.elixir"
			}
		},
		end: "-?%>",
		name: "source.elixir.embedded",
		patterns: [
			{
				captures: {
					"1": {
						name: "punctuation.definition.comment.elixir"
					}
				},
				match: "(#).*?(?=-?%>)",
				name: "comment.line.number-sign.elixir"
			},
			{
				include: "source.elixir"
			}
		]
	}
];
var scopeName = "text.elixir";
var information_for_contributors = [
	"This file has been converted from https://github.com/timmhirsens/vscode-elixir/blob/master/",
	"If you want to provide a fix or improvement, please create a pull request against the original repository.",
	"Once accepted there, we are happy to receive an update request."
];
var eex = {
	fileTypes: fileTypes,
	name: name,
	patterns: patterns,
	scopeName: scopeName,
	information_for_contributors: information_for_contributors
};

export { eex as default, fileTypes, information_for_contributors, name, patterns, scopeName };
