var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string"
		]
	},
	{
		open: "/**",
		close: " */",
		notIn: [
			"string"
		]
	}
];
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var comments = {
	lineComment: "//",
	blockComment: [
		"/*",
		"*/"
	]
};
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	]
];
var reason = {
	autoClosingPairs: autoClosingPairs,
	brackets: brackets,
	comments: comments,
	surroundingPairs: surroundingPairs
};

export { autoClosingPairs, brackets, comments, reason as default, surroundingPairs };
