var $schema = "vscode://schemas/color-theme";
var name = "Light+ (Experimental)";
var include = "./light_plus.json";
var colors = {
	"activityBar.activeBorder": "#005FB8",
	"activityBar.background": "#f8f8f8",
	"activityBar.border": "#0000001a",
	"activityBar.foreground": "#000000e4",
	"activityBar.inactiveForeground": "#0000009e",
	"activityBarBadge.background": "#005FB8",
	"activityBarBadge.foreground": "#ffffff",
	"badge.background": "#005FB8",
	"badge.foreground": "#ffffff",
	"button.background": "#005FB8",
	"button.border": "#0000001a",
	"button.foreground": "#ffffff",
	"button.hoverBackground": "#005FB8e6",
	"button.secondaryBackground": "#0000001a",
	"button.secondaryForeground": "#000000e4",
	"button.secondaryHoverBackground": "#00000034",
	"checkbox.background": "#f8f8f8",
	"checkbox.border": "#0000001a",
	descriptionForeground: "#000000e4",
	"diffEditor.insertedLineBackground": "#23863633",
	"diffEditor.insertedTextBackground": "#2386364d",
	"diffEditor.removedLineBackground": "#da363333",
	"diffEditor.removedTextBackground": "#da36334d",
	"dropdown.background": "#ffffff",
	"dropdown.border": "#0000001a",
	"dropdown.foreground": "#000000e4",
	"dropdown.listBackground": "#ffffff",
	"editor.background": "#ffffff",
	"editor.findMatchBackground": "#9e6a03",
	"editor.foreground": "#000000e4",
	"editor.inactiveSelectionBackground": "#E5EBF1",
	"editor.selectionHighlightBackground": "#ADD6FF80",
	"editorGroup.border": "#0000001a",
	"editorGroupHeader.tabsBackground": "#f8f8f8",
	"editorGroupHeader.tabsBorder": "#0000001a",
	"editorGutter.addedBackground": "#2ea043",
	"editorGutter.deletedBackground": "#f85149",
	"editorGutter.modifiedBackground": "#005FB8",
	"editorIndentGuide.background": "#D3D3D3",
	"editorInlayHint.background": "#8b949e33",
	"editorInlayHint.foreground": "#8b949e",
	"editorInlayHint.typeBackground": "#8b949e33",
	"editorInlayHint.typeForeground": "#8b949e",
	"editorLineNumber.activeForeground": "#171184",
	"editorLineNumber.foreground": "#6e7681",
	"editorOverviewRuler.border": "#0000001a",
	"editorSuggestWidget.background": "#f8f8f8",
	"editorWidget.background": "#ffffff",
	errorForeground: "#f85149",
	focusBorder: "#005FB8",
	foreground: "#000000e4",
	"icon.foreground": "#000000e4",
	"input.background": "#ffffff",
	"input.border": "#0000001a",
	"input.foreground": "#000000e4",
	"input.placeholderForeground": "#00000079",
	"inputOption.activeBackground": "#005fb841",
	"inputOption.activeBorder": "#005FB8",
	"inputOption.activeForeground": "#000000",
	"keybindingLabel.foreground": "#000000e4",
	"list.activeSelectionBackground": "#e8e8e8",
	"list.activeSelectionForeground": "#000000",
	"list.hoverBackground": "#f2f2f2",
	"menu.border": "#D4D4D4",
	"notebook.cellBorderColor": "#E8E8E8",
	"notebook.selectedCellBackground": "#c8ddf150",
	"notificationCenterHeader.background": "#ffffff",
	"notificationCenterHeader.foreground": "#000000e4",
	"notifications.background": "#ffffff",
	"notifications.border": "#0000001a",
	"notifications.foreground": "#000000e4",
	"panel.background": "#f8f8f8",
	"panel.border": "#0000001a",
	"panelInput.border": "#0000001a",
	"panelTitle.activeBorder": "#005FB8",
	"panelTitle.activeForeground": "#000000e4",
	"panelTitle.inactiveForeground": "#000000e4",
	"peekViewEditor.matchHighlightBackground": "#bb800966",
	"peekViewResult.background": "#ffffff",
	"peekViewResult.matchHighlightBackground": "#bb800966",
	"pickerGroup.border": "#0000001a",
	"pickerGroup.foreground": "#8b949e",
	"ports.iconRunningProcessForeground": "#369432",
	"progressBar.background": "#005FB8",
	"quickInput.background": "#ffffff",
	"quickInput.foreground": "#000000e4",
	"scrollbar.shadow": "#484f5833",
	"scrollbarSlider.activeBackground": "#6e768187",
	"scrollbarSlider.background": "#6e768133",
	"scrollbarSlider.hoverBackground": "#6e768145",
	"searchEditor.textInputBorder": "#CECECE",
	"settings.dropdownBackground": "#ffffff",
	"settings.dropdownBorder": "#0000001a",
	"settings.headerForeground": "#000000e4",
	"settings.modifiedItemIndicator": "#bb800966",
	"settings.numberInputBorder": "#CECECE",
	"settings.textInputBorder": "#CECECE",
	"sideBar.background": "#f8f8f8",
	"sideBar.border": "#0000001a",
	"sideBar.foreground": "#000000e4",
	"sideBarSectionHeader.background": "#f8f8f8",
	"sideBarSectionHeader.border": "#0000001a",
	"sideBarSectionHeader.foreground": "#000000e4",
	"sideBarTitle.foreground": "#000000e4",
	"statusBar.background": "#f8f8f8",
	"statusBar.foreground": "#000000e4",
	"statusBar.border": "#0000001a",
	"statusBar.debuggingBackground": "#fd716c",
	"statusBar.debuggingForeground": "#000000",
	"statusBar.focusBorder": "#005FB8",
	"statusBar.noFolderBackground": "#f8f8f8",
	"statusBarItem.errorBackground": "#c72e0f",
	"statusBarItem.focusBorder": "#005FB8",
	"statusBarItem.prominentBackground": "#6e768166",
	"statusBarItem.remoteBackground": "#005FB8",
	"statusBarItem.remoteForeground": "#ffffff",
	"tab.activeBackground": "#ffffff",
	"tab.activeBorder": "#f8f8f8",
	"tab.activeBorderTop": "#005FB8",
	"tab.activeForeground": "#000000e4",
	"tab.border": "#0000001a",
	"tab.hoverBackground": "#ffffff",
	"tab.inactiveBackground": "#f8f8f8",
	"tab.inactiveForeground": "#00000080",
	"tab.lastPinnedBorder": "#61616130",
	"tab.unfocusedActiveBorder": "#f8f8f8",
	"tab.unfocusedActiveBorderTop": "#00000015",
	"tab.unfocusedHoverBackground": "#6e76811a",
	"terminalCursor.foreground": "#005FB8",
	"terminal.foreground": "#ffffffc5",
	"terminal.inactiveSelectionBackground": "#E5EBF1",
	"terminal.tab.activeBorder": "#005fb8",
	"textBlockQuote.background": "#f8f8f8",
	"textBlockQuote.border": "#0000001a",
	"textCodeBlock.background": "#6e768166",
	"textLink.activeForeground": "#005FB8",
	"textLink.foreground": "#005FB8",
	"textPreformat.foreground": "#8b949e",
	"textSeparator.foreground": "#21262d",
	"titleBar.activeBackground": "#f8f8f8",
	"titleBar.activeForeground": "#1e1e1e",
	"titleBar.border": "#0000001a",
	"titleBar.inactiveBackground": "#f8f8f8",
	"titleBar.inactiveForeground": "#8b949e",
	"welcomePage.tileBackground": "#f3f3f3",
	widgetBorder: "#0000001a"
};
var themeDefaults_light_plus_experimental = {
	$schema: $schema,
	name: name,
	include: include,
	colors: colors
};

export { $schema, colors, themeDefaults_light_plus_experimental as default, include, name };
